Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Operator
Class Initialiser

    java.lang.Object
      Operator.OperatorModule
          Operator.SourceModule
              Operator.Initialiser

All Implemented Interfaces:
  Creator, Module, Operator, ParameterI, Stochastic

Direct Known Subclasses:
  RampedHalfAndHalfInitialiser

    public class Initialiser

extends SourceModule
implements Creator

Initialiser has a CreationOperation and is used to create a population. The population is created by init(). perform() calls the operation to add codons to the population. The constructor calls createIndividual() to generate a population.

Field Summary
`protected CreationOperation` | `operation`

Fields inherited from class Operator.SourceModule
`size`

Fields inherited from class Operator.OperatorModule
`population, rng`

Constructor Summary
`Initialiser()` Creat ne instance
`Initialiser(RandomNumberGenerator rng, CreationOperation op, java.util.Properties p)` Initialiser creates the population
`Initialiser(RandomNumberGenerator rng, int size, CreationOperation op)` Initialiser creates the population

Method Summary
`Operation` | `getOperation()` Get operation that operator performs
`Population` | `getPopulation()` Returns a reference to the population
`void` | `init()` Creates the population and the individuals
`void` | `perform()` Calls the operation to add codons to the individuals in the population
`void` | `setOperation(Operation op)` Set operation that operator performs
`void` | `setProperties(java.util.Properties p)` Set properties

Methods inherited from class Operator.SourceModule
`setSize`

Methods inherited from class Operator.OperatorModule
`getRNG, setPopulation, setRNG`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface Operator.Creator
`setSize`

Field Detail

### operation

    protected CreationOperation operation

Constructor Detail

### Initialiser

    public Initialiser(RandomNumberGenerator rng,
                       int size,
                       CreationOperation op)

  Initialiser creates the population

  Parameters:
    `rng` - random number generator
    `size` - size
    `op` - creation operation

### Initialiser

    public Initialiser(RandomNumberGenerator rng,
                       CreationOperation op,
                       java.util.Properties p)

  Initialiser creates the population

  Parameters:
    `rng` - random number generator
    `op` - creation operation
    `p` - properties

### Initialiser

    public Initialiser()

  Creat ne instance

Method Detail

### init

    public void init()

  Creates the population and the individuals

  Specified by:
    `init` in interface `Creator`

### setProperties

    public void setProperties(java.util.Properties p)

  Description copied from interface: `ParameterI`
  Set properties

  Specified by:
    `setProperties` in interface `ParameterI`
  Parameters:
    `p` - object containing properties

### getPopulation

    public Population getPopulation()

  Description copied from interface: `Creator`
  Returns a reference to the population

  Specified by:
    `getPopulation` in interface `Creator`
  Specified by:
    `getPopulation` in class `SourceModule`
  Returns:
    population

### perform

    public void perform()

  Calls the operation to add codons to the individuals in the population

  Specified by:
    `perform` in interface `Module`
  Specified by:
    `perform` in class `OperatorModule`

### setOperation

    public void setOperation(Operation op)

  Description copied from interface: `Operator`
  Set operation that operator performs

  Specified by:
    `setOperation` in interface `Operator`
  Parameters:
    `op` - operation

### getOperation

    public Operation getOperation()

  Description copied from interface: `Operator`
  Get operation that operator performs

  Specified by:
    `getOperation` in interface `Operator`
  Returns:
    operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD